Retrieves the full dependency tree for an item, filtered to items the user can see.
curl --request GET \
--url https://{install}/api/item/{id}/dependency \
--header 'Authorization: Bearer <token>'import requests
url = "https://{install}/api/item/{id}/dependency"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{install}/api/item/{id}/dependency', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://{install}/api/item/{id}/dependency");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

[
{
"entity": "<string>",
"containerId": "<string>",
"processId": "<string>",
"sequence": 123,
"boardId": "<string>",
"cycleId": "<string>",
"resourceType": 123,
"resourceId": "<string>",
"dateOpened": "2023-11-07T05:31:56Z",
"dateWorking": "2023-11-07T05:31:56Z",
"dateClosed": "2023-11-07T05:31:56Z",
"time": [
{
"id": "<string>",
"dated": "2023-11-07T05:31:56Z",
"userId": "<string>",
"timeTypeId": "<string>",
"timeLogged": "<string>",
"comment": "<string>",
"status": 123
}
],
"field": [
{
"fieldId": "<string>",
"data": "<string>"
}
],
"meta": [
{
"key": "<string>",
"value": "<string>"
}
],
"clockStart": "2023-11-07T05:31:56Z",
"clockFinish": "2023-11-07T05:31:56Z",
"clockDelta": 123,
"clockHours": 123,
"clockStatus": 123,
"dependencyKey": "<string>",
"dependencyIndent": 123,
"dependencyChild": 123,
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}
]Items
Retrieves the full dependency tree for an item, filtered to items the user can see.
GET
/
api
/
item
/
{id}
/
dependency
Retrieves the full dependency tree for an item, filtered to items the user can see.
Authorizations
JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
Path Parameters
The unique identifier of the item.
Response
List of dependent items.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I